%global _configure_disable_silent_rules 1

Name:           xorg-x11-drv-armada
Version:        0.0.0
# Built from unstable-devel branch that has the DRM backend
Release:        1.unstable.20180829git78e7116a5%{?dist}
Summary:        X.org graphics driver for KMS based systems with pluggable GPU backend

License:        MIT
URL:            http://git.arm.linux.org.uk/cgit/xf86-video-armada.git/

# git clone http://git.arm.linux.org.uk/cgit/xf86-video-armada.git/
# cd xf86-video-armada
# git reset --hard 78e7116a5
# autoreconf -fi
# ./configure
# make dist
# gunzip xf86-video-armada-0.0.0.tar.gz
# tar rf xf86-video-armada-0.0.0.tar common/compat-drm.h 
# gzip -9 xf86-video-armada-0.0.0.tar
Source0:        xf86-video-armada-%{version}.tar.gz

BuildRequires:  gcc make
BuildRequires:  pkgconfig(libdrm_armada) => 2.0.0
BuildRequires:  pkgconfig(xorg-server) >= 1.9.99.1
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  etnaviv-headers

%description
The xf86-video-armada module is a 2D graphics driver for the X Window
System as implemented by X.org, supporting Freescale i.MX or Marvell Armada
display controllers with a Vivante Galcore GPU.


%prep
%setup -q -n xf86-video-armada-%{version}


%build
%configure \
        --disable-vivante \
        --disable-etnaviv \
        --enable-etnadrm \
        --enable-dri2 \
        --enable-dri3 \
        --enable-present
make %{?_smp_mflags}


%install
%make_install


%files
%exclude %{_libdir}/xorg/modules/drivers/armada_drv.la
%{_libdir}/xorg/modules/drivers/armada_drv.so
%{_mandir}/man4/armada.4*
%license COPYING
%doc README


%changelog
* Wed Apr 24 2019 Lubomir Rintel <lkundrak@v3.sk> - 0.0.0-1.unstable.20180829git78e7116a5
- Initial packaging
